Reinforcement LShapeRebar/es: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch Barra de Refuerzo en forma de L")
 
(Updating to match new version of source page)
(28 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommandAddon|Name=Arch Rebar LShape|Workbenches=[[Arch Module|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_BentShape|Bent Shape Rebar]]}}
{{docnav/es|[[Arch_Rebar_UShape/es|UShape Rebar]]|[[Arch_Rebar_BentShape/es|Bent Shape Rebar]]|[[Arch_Module/es|Arch]]|IconL=Arch_Rebar_UShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_BentShape.svg}}


{{GuiCommandAddon/es
==Description==
|Name=Arch Rebar LShape|Name/es=Arch Barra de Refuerzo en forma de L
|Workbenches=[[Arch Module/es|Arch]], [[BIM Workbench/es|BIM]]
|Addon=Reinforcement
|MenuLocation=Arch → Rebar tools
|Shortcut=None
|SeeAlso=[[Arch_Rebar_BentShape/es|Barra de refuerzo doblada]], [[Arch Rebar/es]]
|Version=0.17
}}


==Descripción==
The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool allows user to create LShape reinforcing bar in the structural element.


<div class="mw-translate-fuzzy">
[[Image:LShapeRebarNew.png|800px]]
La herramienta {{KEY | [[Image: Arch_Rebar_LShape.png | 16px]] L'Shaped Rebar}} permite al usuario crear la barra de refuerzo en forma de L en el elemento estructural.
</div>


This command is part of the [[Reinforcement Addon]], that you can install with the [[Addon Manager]] via the menu {{MenuCommand|Tools → Addon manager → Reinforcement}}.
==How to use==


[[Image:Arch_Rebar_LShape_example.png|400px]]
# Create a [[Arch Structure|structure]] element
<div class="mw-translate-fuzzy">
# Select any face of the structure
[[Image:LShapeRebarNew.png|800px]]
# Then select {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} from the rebar tools
</div>
# A task panel will pop-out on the left side of the screen as shown below [[Image:LShapeDialog.png|250px]]
# Select the desired orientation
# Give the inputs like front cover, left side cover, right side cover, bottom cover, top cover, rounding and diameter of the rebar
# Select the mode of distribution either amount or spacing
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
# Pick selected face is used to verify or change the face for rebar distribution
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
# Click {{KEY|Cancel}} to exit the task panel


==Properties==
==Como utilizar==


<div class="mw-translate-fuzzy">
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
# Crear un elemento [[Arch Structure | structure]]
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
# Seleccione cualquier cara de la estructura
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
# A continuación, seleccione {{KEY | [[Image: Arch_Rebar_LShape.png | 16px]] LShape Rebar}} desde las herramientas de la barra de refuerzo
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
# Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación [[Image: LShapeDialog.png | 250px]]
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
# Seleccione la orientación deseada
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
# Proporcione las entradas como la cubierta frontal, la cubierta lateral izquierda, la cubierta lateral derecha, la cubierta inferior, la cubierta superior, el redondeo y el diámetro de la barra de refuerzo
* {{PropertyData|Rounding}}: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
# Seleccione el modo de distribución, ya sea cantidad o espaciado
* {{PropertyData|Amount}}: The amount of rebars.
# Si se selecciona el espaciado, un usuario también puede optar por [[Custom_Spacing | espaciado personalizado]]
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
# La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
# Haga clic en {{KEY | OK}} o {{KEY | Apply}} para generar las barras de refuerzo
# Haga clic en {{KEY | Cancel}} para salir del panel de tareas
</div>
[[Image:LShapeDialog.png|250px]]
{{Caption|Taskview panel for the Arch Rebar LShape tool}}


==Scripting==
==Propiedades==


* {{PropertyData/es | Orientation}}: Decide la orientación de la barra de refuerzo (como una parte inferior, superior, derecha e izquierda).
The {{KEY|[[Image:Arch_Rebar_LShape.png|16px]] LShape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
* {{PropertyData/es | Front Cover}}: la distancia entre la barra de refuerzo y la cara seleccionada.
* {{PropertyData/es | Right Cover}}: la distancia entre el extremo derecho de la barra de refuerzo a la derecha de la estructura.
* {{PropertyData/es | Left Cover}}: la distancia entre el extremo izquierdo de la barra de refuerzo a la cara izquierda de la estructura.
* {{PropertyData/es | Bottom Cover}}: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
* {{PropertyData/es | Top Cover}}: la distancia entre barras de refuerzo desde la cara superior de la estructura.
* {{PropertyData/es | Rounding}}: Un valor de redondeo que se aplicará a las esquinas de las barras, expresado en veces el diámetro.
* {{PropertyData/es | Amount}}: la cantidad de barras de refuerzo.
* {{PropertyData/es | Spacing}}: la distancia entre los ejes de cada barra.


<div class="mw-translate-fuzzy">
==Programación==
</div>

<div class="mw-translate-fuzzy">
La herramienta {{KEY | [[Image: Arch_Rebar_LShape.png | 16px]] L'Shaped Rebar}} puede utilizarse en [[macros/es]] y desde la consola de python mediante la siguiente función:
</div>
{{Code|code=
{{Code|code=
Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
makeLShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, Rounding, AmountSpacingCheck, AmountSpacingValue, orientation, Structure, Facename)
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
structure=None, facename=None):
}}
}}
* The LShape Rebar have four different orientations:
** Bottom Right
** Bottom Left
** Top Right
** Top Left
* Adds a LShape reinforcing bar object to the given structural object.
* If no Structure and Facename is given, it will take user selected face as input.
* Here CoverAlong argument is having type tuple.
* Returns the new Rebar object.


<div class="mw-translate-fuzzy">
Example:
* La barra de refuerzo LShape tiene cuatro orientaciones diferentes:
Creating LShape rebar.
** Abajo a la derecha
** Abajo a la izquierda
** Parte superior derecha
** Arriba a la izquierda
* Agrega un objeto de barra de refuerzo LShape al objeto estructural dado.
* Si no se proporciona Estructura y Facename, tomará la cara seleccionada por el usuario como entrada.
* Aquí el argumento de CoverAlong es tener tipo tupla.
* Devuelve el nuevo objeto Rebar.
</div>

=== Example ===
{{Code|code=
{{Code|code=
import Arch, LShapeRebar
import FreeCAD, Arch, LShapeRebar

structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
Structure = Arch.makeStructure(length=1000, width=1000, height=400)
structure.ViewObject.Transparency = 80
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()

rebar = LShapeRebar.makeLShapeRebar(20, 20, 20, 20, 8, 20, 2, True, 10, "Bottom Left", structure, "Face1")
Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)
}}
}}


Changing properties of LShape rebar.
=== Edition of the rebar ===
You can change the properties of the rebar with the following function
{{Code|code=
editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
structure=None, facename=None)
}}

* {{incode|Rebar}} is a previously created {{incode|LShapeRebar}} object.
* The other parameters are the same as required by the {{incode|makeLShapeRebar()}} function.
* {{incode|structure}} and {{incode|facename}} may be omitted so that the rebar stays in the original structure.

{{Code|code=
{{Code|code=
import LShapeRebar
import LShapeRebar

LShapeRebar.editLShapeRebar(50, 50, 20, 20, 8, 20, 2, True, 5, "Top Left")
LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
12, 70, 6, True, 5, "Top Right")
}}
}}
{{docnav/es|[[Arch_Rebar_UShape/es|UShape Rebar]]|[[Arch_Rebar_BentShape/es|Bent Shape Rebar]]|[[Arch_Module/es|Arch]]|IconL=Arch_Rebar_UShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_BentShape.svg}}


{{Arch Tools navi{{#translation:}}}}


{{Userdocnavi{{#translation:}}}}
{{clear}}

<languages/>
[[Category:Reinforcement{{#translation:}}]]

Revision as of 20:38, 20 February 2020

Arch Barra de Refuerzo en forma de L

Ubicación del menú
Arch → Rebar tools
Bancos de trabajo
Arch, BIM
Acceso directo
None
Ver también
Barra de refuerzo doblada, Arch Rebar/es
 
Este comando es parte del Reinforcement AddOn, que puedes instalar a través del menú Tools → Addons Manager

Descripción

La herramienta L'Shaped Rebar permite al usuario crear la barra de refuerzo en forma de L en el elemento estructural.

This command is part of the Reinforcement Addon, that you can install with the Addon Manager via the menu Tools → Addon manager → Reinforcement.

Como utilizar

  1. Crear un elemento structure
  2. Seleccione cualquier cara de la estructura
  3. A continuación, seleccione LShape Rebar desde las herramientas de la barra de refuerzo
  4. Aparecerá un panel de tareas en el lado izquierdo de la pantalla como se muestra a continuación
  5. Seleccione la orientación deseada
  6. Proporcione las entradas como la cubierta frontal, la cubierta lateral izquierda, la cubierta lateral derecha, la cubierta inferior, la cubierta superior, el redondeo y el diámetro de la barra de refuerzo
  7. Seleccione el modo de distribución, ya sea cantidad o espaciado
  8. Si se selecciona el espaciado, un usuario también puede optar por espaciado personalizado
  9. La selección de la cara seleccionada se usa para verificar o cambiar la cara de la distribución de barras de refuerzo
  10. Haga clic en OK o Apply para generar las barras de refuerzo
  11. Haga clic en Cancel para salir del panel de tareas

Taskview panel for the Arch Rebar LShape tool

Propiedades

  • DATOS Orientation: Decide la orientación de la barra de refuerzo (como una parte inferior, superior, derecha e izquierda).
  • DATOS Front Cover: la distancia entre la barra de refuerzo y la cara seleccionada.
  • DATOS Right Cover: la distancia entre el extremo derecho de la barra de refuerzo a la derecha de la estructura.
  • DATOS Left Cover: la distancia entre el extremo izquierdo de la barra de refuerzo a la cara izquierda de la estructura.
  • DATOS Bottom Cover: la distancia entre las barras de refuerzo desde la cara inferior de la estructura.
  • DATOS Top Cover: la distancia entre barras de refuerzo desde la cara superior de la estructura.
  • DATOS Rounding: Un valor de redondeo que se aplicará a las esquinas de las barras, expresado en veces el diámetro.
  • DATOS Amount: la cantidad de barras de refuerzo.
  • DATOS Spacing: la distancia entre los ejes de cada barra.

Programación

La herramienta L'Shaped Rebar puede utilizarse en macros/es y desde la consola de python mediante la siguiente función:

Rebar = makeLShapeRebar(f_cover, b_cover, l_cover, r_cover,
                        diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom Left",
                        structure=None, facename=None):
  • La barra de refuerzo LShape tiene cuatro orientaciones diferentes:
    • Abajo a la derecha
    • Abajo a la izquierda
    • Parte superior derecha
    • Arriba a la izquierda
  • Agrega un objeto de barra de refuerzo LShape al objeto estructural dado.
  • Si no se proporciona Estructura y Facename, tomará la cara seleccionada por el usuario como entrada.
  • Aquí el argumento de CoverAlong es tener tipo tupla.
  • Devuelve el nuevo objeto Rebar.

Example

import FreeCAD, Arch, LShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=400)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = LShapeRebar.makeLShapeRebar(50, 20, 20, 20,
                                    8, 50, 4, True, 6, "Bottom Left", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = LShapeRebar.makeLShapeRebar(50, 50, 20, 20,
                                     8, 50, 4, True, 6, "Bottom Left", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Edition of the rebar

You can change the properties of the rebar with the following function

editLShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                diameter, t_cover, rounding, amount_spacing_check, amount_spacing_value, orientation,
                structure=None, facename=None)
  • Rebar is a previously created LShapeRebar object.
  • The other parameters are the same as required by the makeLShapeRebar() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.
import LShapeRebar

LShapeRebar.editLShapeRebar(Rebar, 50, 50, 20, 20,
                            12, 50, 6, True, 5, "Top Right")

LShapeRebar.editLShapeRebar(Rebar2, 50, 50, 20, 20,
                            12, 70, 6, True, 5, "Top Right")